# Crate pages

source · [−]

## Modules

api 🔒
conductor 🔒
ctx 🔒
db 🔒
errors 🔒
Represents all the ways a trait can fail using this crate
git 🔒
page 🔒
page_config 🔒
pages 🔒
preview 🔒
serve 🔒
settings 🔒
static_assets 🔒
subdomains 🔒
utils 🔒

## Structs

Cli 🔒
FILES
Settings

## Enums

Commands 🔒

## Constants

CACHE_AGE
GIT_COMMIT_HASH
PKG_DESCRIPTION
PKG_HOMEPAGE
PKG_NAME
V1_API_ROUTES
constant Routes instance
VERSION

## Functions

get_identity_service
get_json_err
main 🔒
serve 🔒
services

## Type Definitions

AppCtx